org.apache.ignite.internal.pagemem.wal.record.delta

## Class MetaPageUpdatePartitionDataRecordV3

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageUpdatePartitionDataRecord
      - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageUpdatePartitionDataRecordV2
        - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageUpdatePartitionDataRecordV3

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class MetaPageUpdatePartitionDataRecordV3
    extends MetaPageUpdatePartitionDataRecordV2

Partition meta page delta record includes encryption status data.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MetaPageUpdatePartitionDataRecordV3(DataInput in)`
`MetaPageUpdatePartitionDataRecordV3(int grpId, long pageId, long updateCntr, long globalRmvId, int partSize, long cntrsPageId, byte state, int allocatedIdxCandidate, long link, int encryptedPageIdx, int encryptedPageCnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `encryptedPageCount()`
`int` `encryptedPageIndex()`
`void` `toBytes(ByteBuffer buf)`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageUpdatePartitionDataRecordV2

`link`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageUpdatePartitionDataRecord

`allocatedIndexCandidate, countersPageId, globalRemoveId, partitionSize, state, updateCounter`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaPageUpdatePartitionDataRecordV3

    public MetaPageUpdatePartitionDataRecordV3(int grpId,
                                               long pageId,
                                               long updateCntr,
                                               long globalRmvId,
                                               int partSize,
                                               long cntrsPageId,
                                               byte state,
                                               int allocatedIdxCandidate,
                                               long link,
                                               int encryptedPageIdx,
                                               int encryptedPageCnt)

Parameters:
  `grpId` - Group id.
  `pageId` - Page id.
  `updateCntr` - Update counter.
  `globalRmvId` - Global remove id.
  `partSize` - Partition size.
  `cntrsPageId` - Cntrs page id.
  `state` - State.
  `allocatedIdxCandidate` - Allocated index candidate.
  `link` - Link.
  `encryptedPageIdx` - Index of the last reencrypted page.
  `encryptedPageCnt` - Total pages to be reencrypted.

#### MetaPageUpdatePartitionDataRecordV3

    public MetaPageUpdatePartitionDataRecordV3(DataInput in)
                                        throws IOException

Parameters:
  `in` - Input.
Throws:
  `IOException`

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Overrides:
  `applyDelta` in class `MetaPageUpdatePartitionDataRecordV2`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### encryptedPageIndex

    public int encryptedPageIndex()

Returns:
  Index of the last reencrypted page.

#### encryptedPageCount

    public int encryptedPageCount()

Returns:
  Total pages to be reencrypted.

#### toBytes

    public void toBytes(ByteBuffer buf)

Overrides:
  `toBytes` in class `MetaPageUpdatePartitionDataRecordV2`
Parameters:
  `buf` - Buffer.

#### type

    public WALRecord.RecordType type()

Overrides:
  `type` in class `MetaPageUpdatePartitionDataRecordV2`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `MetaPageUpdatePartitionDataRecordV2`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021